---
name: "OptaPlanner"
metadata:
  keywords:
  - "optaplanner"
  - "constraint-solver"
  - "artificial-intelligence"
  - "employee-rostering"
  - "vehicle-routing-problem"
  - "maintenance-scheduling"
  - "timetabling"
  guide: "https://quarkus.io/guides/optaplanner"
  categories:
  - "business-automation"
  status: "stable"
  built-with-quarkus-core: "2.16.1.Final"
  extension-dependencies:
  - "io.quarkus:quarkus-core"
  - "io.quarkus:quarkus-arc"
  capabilities:
    provides:
    - "org.optaplanner.optaplanner-quarkus"
artifact: "org.optaplanner:optaplanner-quarkus::jar:8.34.0-SNAPSHOT"
description: "Solve planning and scheduling with AI constraint optimization of vehicle\
  \ routes, employee rosters, maintenance, tasks, lessons, conferences, ..."
